Deployments.ai Docs
Evaluations

List score definitions

GET /v1/score-definitions · SDK listScoreDefinitions · CLI deployments eval score-definition list

GET
/v1/score-definitions

Requires observability:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Query Parameters

cursor?string
Length1 <= length <= 8192
limit?integer
Range1 <= value <= 100
status?string
Value in"active""archived"

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-project*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ListScoreDefinitionsResponse

application/json
  1. response
items*array<>
nextCursor?string|null
curl -X GET "https://example.com/v1/score-definitions" \  -H "x-deployments-organization: string" \  -H "x-deployments-project: string" \  -H "x-deployments-environment: string"
{  "items": [    {      "archivedAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "currentRevision": 1,      "description": "string",      "id": "string",      "name": "string",      "ownerPrincipalId": "string",      "revision": {        "createdAt": "2019-08-24T14:15:22Z",        "evaluator": {          "caseSensitive": true,          "kind": "contains",          "mode": "all",          "values": [            "string"          ]        },        "evaluatorVersionHash": "string",        "judgeModelId": "string",        "judgePromptHash": "string",        "revision": 1,        "sampling": {          "rate": 0        },        "status": "active",        "supersededAt": "2019-08-24T14:15:22Z",        "target": "root-run",        "threshold": 0,        "weight": 1      },      "status": "active",      "type": "deterministic",      "updatedAt": "2019-08-24T14:15:22Z",      "version": 0    }  ],  "nextCursor": "string"}